Bug 16555 - erroneous compilation of epic_cb.o w/ 2.2.16-3
erroneous compilation of epic_cb.o w/ 2.2.16-3
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Depends On:
  Show dependency treegraph
Reported: 2000-08-18 21:11 EDT by rudi
Modified: 2013-07-02 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-23 12:22:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rudi 2000-08-18 21:11:04 EDT
It seems to me as if there is something wrong in how the Cardbus version of
epic100.c gets compiled when rebuilding 2.2.16-3.

Line 1351 of drivers/net/epic100.c (which is part of a block wrapped  by
"#ifdef MODULE") calls epic100_probe. epic100_probe is defined at line 100,
but it's wrapped by "#if !defined(CARDBUS)  && !defined(HAS_PCI_NETIF)".

So, when building epic_cb.o as a module, it can't call epic100_probe (hence
an unresolved symbol).
Comment 1 rudi 2000-08-18 21:14:11 EDT
epic100_probe is defined at line 300, not 100.
Comment 2 Jeff Garzik 2002-12-23 12:22:33 EST
epic_cb not used anymore.

Note You need to log in before you can comment on or make changes to this bug.